Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Welcome to the CollectiveAccess support forum! Here the developers and community answer questions related to use of the software. Please include the following information in every new issue posted here:

  1. Version of the software that is used, along with browser and version

  2. If the issue pertains to Providence, Pawtucket or both

  3. What steps you’ve taken to try to resolve the issue

  4. Screenshots demonstrating the issue

  5. The relevant sections of your installation profile or configuration including the codes and settings defined for your local elements.


If your question pertains to data import or export, please also include:

  1. Data sample

  2. Your mapping


Answers may be delayed for posts that do not include sufficient information.

Unable to install importer

edited October 1 in Troubleshooting
I cannot install any importer mapping to my new CA Providence installation (using the 1.7.5 installer). I am using a new VPS with Ubuntu 16.04, Apache2, MYSQL Ver 14.14 Distrib 5.7.19, and PHP 7.0. The installed profile is [Standard] DublinCore [2014 Revision].

All of the screens and normal admin seem to work, and I have been uploading images and editing metadata on the screens.
I created a very simple test import mapper and attempted to drag it into the importer list window. The screen hangs after the progress bar gets to 100%. Refreshing the screen shows no importer was installed.

Strangely, I also have made this same install on a hosted service (also with PHP 7.0). This hosted service is too slow for use, but the same importer does upload and install on that system.
I have rebooted my VPS any time a system change was made.
The CA /media/collectiveaccess directory owner/group permissions are 755 www-data/www-data.
My server system error log throws the following when I try to upload the importer:
[Sat Sep 30 21:58:58.420121 2017] [:error] [pid 6025] [client 73.17.136.102:53122] PHP Fatal error:  Uncaught Error: Class 'ZipArchive' not found in /var/www/html/CA/app/lib/core/Parsers/PHPExcel/PHPExcel/Reader/Excel2007.php:94\nStack trace:\n#0 /var/www/html/CA/app/lib/core/Parsers/PHPExcel/PHPExcel/IOFactory.php(280): PHPExcel_Reader_Excel2007->canRead('/tmp/phpbpI3Tr')\n#1 /var/www/html/CA/app/lib/core/Parsers/PHPExcel/PHPExcel/IOFactory.php(191): PHPExcel_IOFactory::createReaderForFile('/tmp/phpbpI3Tr')\n#2 /var/www/html/CA/app/models/ca_data_importers.php(768): PHPExcel_IOFactory::load('/tmp/phpbpI3Tr')\n#3 /var/www/html/CA/app/controllers/batch/MetadataImportController.php(121): ca_data_importers::loadImporterFromFile('/tmp/phpbpI3Tr', Array, Array)\n#4 /var/www/html/CA/app/lib/core/Controller/RequestDispatcher.php(273): MetadataImportController->UploadImporters(NULL)\n#5 /var/www/html/CA/app/lib/core/Controller/AppController.php(113): RequestDispatcher->dispatch(Array)\n#6 /var/www/html/CA/index.php(112): AppController->dispatch(true)\n#7 {main}\n  thrown in /var/www/html/CA/app/lib/core/Parsers/PHPExcel/PHPExcel/Reader/Excel2007.php on line 94, referer: http://archive.industrialhistory.org/CA/index.php/batch/MetadataImport/Index

The spreadsheet was made using Open Office 4.1.3
I don't know what to try now, to fix this. Any ideas?

Comments

Sign In or Register to comment.